package org.jeecg.modules.device.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.device.entity.BuDevice;
import org.jeecg.modules.device.model.DeviceSensorStatus;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Description: 设备信息表
 * @Author: jeecg-boot
 * @Date:   2020-12-11
 * @Version: V1.0
 */
public interface IBuDeviceService extends IService<BuDevice> {

    public List<BuDevice> getDevice();

    public BuDevice getDeviceById(String id);

    public BuDevice getDeviceByName(String deviceName);

    public BuDevice getDeviceByCode(String deviceCode);

    public BuDevice getDevicesensorid(String sensorid);

    public List<BuDevice> getDeviceUse();
    public List<BuDevice> getDeviceUses();

    public List<DeviceSensorStatus> queryDeviceStatus();

    public List<DeviceSensorStatus> queryDevice();

    public List<DeviceSensorStatus> querySensorStatus();

    public List<DeviceSensorStatus> getDeviceTypeCount();

    IPage<BuDevice>  queryPageList(BuDevice buDevice,Integer pageNo,Integer pageSize,HttpServletRequest req);

}
